MINCHISTORY(1)

NAME
minchistory - prints history information for minc files

SYNOPSIS
minchistory [options] <file1.mnc> [<file2.mnc> ... ]

minchistory will dump the internal history of one or more MINC files

DESCRIPTION
minchistory is a perl script that prints the history information in a collection of MINC files. Most MINC files contain an internal "audit trail" that lists the commands used to create the MINC file. This tool provides a convenient way to examine this information.

For each file, minchistory prints a title line followed by a series of lines which list the history information for that file.

   --- History of <filename> ---
   [01] Wed Oct 13 15:35:35 EST 2004>>>> dicom3_to_minc .
   [02] Wed Oct 13 15:43:34 2004>>> mincreshape +direction \
     bob-jones_256x256x256_T1.mnc out.mnc -dimorder zspace,yspace,xspace \
     -clobber

minchistory is essentially an alias for the following command with a bit of pretty printing added.

   mincinfo -attvalue :history B<filename.mnc>

OPTIONS

-v, --verbose
    Be noisy when doing things

--version
    Print version number and exit

-h, --help
    Dump some quick help output

--man
    Dump a man page

SEE ALSO
mincinfo(1)

AUTHOR
Andrew Janke - a.janke@gmail.com

COPYRIGHTS
Copyright 2000 by Andrew L Janke